/*!
 * \brief
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef CAENSYX527DEF_H
#define CAENSYX527DEF_H

#include "common/base/BaseTypes.h"

namespace caen_syx527 {

static const char CAENSYX527_FUNCTION[] = "caen_syx527";

/*!
 * \brief !
 * \brief CAENSYX527 class
 * \author J. Lamblin
 * \date 05-05-2014
 */

/*!
 * \brief !
 *
 * The CAENSYX527 power supply.
 */

/*!
 * \brief !
 *
 * Constants
 */
static const int32 CAENSYX527_MAX_CHANNEL_PER_BOARD = 36;

/*!
 * \brief !
 *
 * Model dependent constants
 */
static const int32 CAENSYX527_2527_MODEL 			    = 0;
static const int32 CAENSYX527_3527_MODEL 			    = 1;
static const int32 CAENSYX527_4527_MODEL 			    = 2;
static const int32 CAENSYX527_5527_MODEL 			    = 3;

static const std::string WRITEPARAM_COMMAND = "writeparam";

static const std::string STATUSCHANNEL[10]={
		"On",
		"Up",
		"Down",
		"Over Current",
		"Over Voltage",
		"Under Voltage",
		"External Trip",
		"max V",
		"External Disable",
		"Internal Trip"};

}

#endif // CAENSYX527DEF_H
